# Doomsday
Given a random date, can you determine the weekday of that date?
[Conway's Doomsday rule](https://en.wikipedia.org/wiki/Doomsday_rule) provides a simple set of steps to calculate the
weekday of any date in the Gregorian calendar.
This tool will help you practice the algorithm by giving you random dates to test on.
Set this as your homepage to get yourself to practice this every day.

## Development
### Requirements
* [npm](https://www.npmjs.com/)

### Setting up
```shell script
# Install dependencies (only needed once)
$> npm ci
```

### Building
```shell script
# Build the tool in `dist/` for development
$> npm run dev
# Same as above, but automatically rerun it whenever files are changed
$> npm run dev:server
# Build the tool in `dist/` for deployment
$> npm run deploy
```
